package com.atmob.voiceai.data.api.bean;

import android.os.Parcel;
import android.os.Parcelable;

import androidx.annotation.NonNull;

import com.google.gson.annotations.SerializedName;

public class UserVoiceBean implements Parcelable {
    @SerializedName("id")
    private int id;
    @SerializedName("ssid")
    private String ssid;
    @SerializedName("content")
    private String content;
    @SerializedName("voiceId")
    private int voiceId;
    @SerializedName("voiceName")
    private String voiceName;
    @SerializedName("voiceAvatar")
    private String voiceAvatar;
    @SerializedName("voiceUrl")
    private String voiceUrl;
    @SerializedName("createTime")
    private long createTime;

    public UserVoiceBean() {

    }

    protected UserVoiceBean(Parcel in) {
        id = in.readInt();
        ssid = in.readString();
        content = in.readString();
        voiceId = in.readInt();
        voiceName = in.readString();
        voiceAvatar = in.readString();
        voiceUrl = in.readString();
        createTime = in.readLong();
    }

    public static final Creator<UserVoiceBean> CREATOR = new Creator<UserVoiceBean>() {
        @Override
        public UserVoiceBean createFromParcel(Parcel in) {
            return new UserVoiceBean(in);
        }

        @Override
        public UserVoiceBean[] newArray(int size) {
            return new UserVoiceBean[size];
        }
    };

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getSsid() {
        return ssid;
    }

    public void setSsid(String ssid) {
        this.ssid = ssid;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public int getVoiceId() {
        return voiceId;
    }

    public void setVoiceId(int voiceId) {
        this.voiceId = voiceId;
    }

    public String getVoiceName() {
        return voiceName;
    }

    public void setVoiceName(String voiceName) {
        this.voiceName = voiceName;
    }

    public String getVoiceAvatar() {
        return voiceAvatar;
    }

    public void setVoiceAvatar(String voiceAvatar) {
        this.voiceAvatar = voiceAvatar;
    }

    public String getVoiceUrl() {
        return voiceUrl;
    }

    public void setVoiceUrl(String voiceUrl) {
        this.voiceUrl = voiceUrl;
    }

    public long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(long createTime) {
        this.createTime = createTime;
    }

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(@NonNull Parcel parcel, int i) {
        parcel.writeInt(id);
        parcel.writeString(ssid);
        parcel.writeString(content);
        parcel.writeInt(voiceId);
        parcel.writeString(voiceName);
        parcel.writeString(voiceAvatar);
        parcel.writeString(voiceUrl);
        parcel.writeLong(createTime);
    }
}
